# $Revision: 1.101 $, $Date: 2007-11-01 01:23:27 $
Summary:	Enhanced WHOIS client
Summary(pl.UTF-8):	Rozszerzony klient WHOIS
Summary(ru.UTF-8):	Улучшенный клиент WHOIS
Summary(uk.UTF-8):	Покращений клієнт WHOIS
Name:		whois
Version:	4.7.24
Release:	1
License:	GPL v2
Group:		Networking/Utilities
Source0:	http://ftp.debian.org/debian/pool/main/w/whois/%{name}_%{version}.tar.gz
# Source0-md5:	479ebc79d1e8189e16ab51b4d8981529
Patch0:		%{name}-idn.patch
Patch1:		%{name}-config.patch
URL:		http://www.linux.it/~md/software/
BuildRequires:	gettext-devel
BuildRequires:	libidn-devel
BuildRequires:	perl-base
Obsoletes:	inetutils-whois
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a new whois (RFC 954) client rewritten from scratch. It is
derived from and compatible with the usual BSD and RIPE whois(1)
programs. It is intelligent and can automatically select the
appropriate whois server for most queries.

%description -l pl.UTF-8
To jest nowy klient usługi whois (RFC 954) napisany całkowicie od
nowa. Jest kompatybilny zarówno z whois z BSD oraz RIPE. Jest
inteligentny i automatycznie dobiera poprawny serwer whois dla
większosci zapytań.

%description -l ru.UTF-8
Это написанный с "нуля" клиент (RFC 954), совместимый с whois(1)
программами BSD и RIPE. В большинстве случаев он может автоматически
выбирать правильный whois сервер в зависимости от запроса.

%description -l uk.UTF-8
Це заново написаний клієнт whois (RFC 954), сумісний з whois(1)
програмами BSD та RIPE. Він в більшості випадків може автоматично
вибирати правильний whois сервер в залежності від запиту.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

mv -f po/{no,nb}.po
%{__perl} -pi -e 's/no\.mo/nb.mo/' po/Makefile

%build
%{__make} \
	CC="%{__cc}" \
	OPTS="%{rpmcflags}" \
	HAVE_LIBIDN=1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_bindir},%{_mandir}/man1}

install whois.conf $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install \
	BASEDIR=$RPM_BUILD_ROOT \
	prefix=%{_prefix}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README debian/changelog
%attr(755,root,root) %{_bindir}/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/whois.conf
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: whois.spec,v $
Revision 1.101  2007-11-01 01:23:27  qboosh
- updated to 4.7.24

Revision 1.100  2007/08/04 20:09:44  qboosh
- updated to 4.7.22
- removed obsolete pl.po-update,as_del_list patches

Revision 1.99  2007/07/16 20:18:12  arekm
- rel 4; specify explict config so /etc/whois.conf works

Revision 1.98  2007/06/27 08:18:19  undefine
- add whois-as_del_list.patch with new ripe's as, release 3

Revision 1.97  2007/04/07 12:37:03  qboosh
- updated to 4.7.21
- added pl.po-update patch

Revision 1.96  2007/02/12 22:09:20  glen
- tabs in preamble

Revision 1.95  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.94  2006/12/01 20:37:01  qboosh
- updated to 4.7.20

Revision 1.93  2006/10/26 18:26:24  qboosh
- updated to 4.7.19

Revision 1.92  2006/10/09 19:41:45  qboosh
- updated to 4.7.18, removed obsolete mobi patch

Revision 1.91  2006/09/28 16:32:07  arekm
- add whois for .mobi

Revision 1.90  2006/09/28 15:50:39  arekm
- up to 4.7.17

Revision 1.89  2006/09/18 18:40:12  qboosh
- updated to 4.7.16

Revision 1.88  2006/07/25 16:39:02  qboosh
- updated to 4.7.15

Revision 1.87  2006/07/21 12:32:56  qboosh
- added idn patch, release 2

Revision 1.86  2006/07/20 06:37:19  qboosh
- updated to 4.7.14

Revision 1.85  2006/06/12 17:24:46  undefine
- up to 4.7.13

Revision 1.84  2006/02/24 20:59:15  qboosh
- updated to 4.7.12

Revision 1.83  2005/12/26 16:28:02  hawk
- updated to 4.7.11
- release 2 (1 for Ra)

Revision 1.82  2005/12/03 20:35:13  qboosh
- updated to 4.7.10, Makefile patch replaced by make overrides

Revision 1.81  2005/09/30 15:41:02  paszczus
- updated to 4.7.8
- release 2 (release 1 is for Ra)

Revision 1.80  2005/08/10 08:04:05  hawk
- release 2 (1 went to Ra)

Revision 1.79  2005/08/06 13:37:14  qboosh
- updated to 4.7.6

Revision 1.78  2005/05/29 00:17:49  petec
- up to 4.7.5

Revision 1.77  2005/05/11 16:40:31  hawk
- release 2 (1 is for Ra)

Revision 1.76  2005/05/08 17:10:51  petec
- up to 4.7.4

Revision 1.75  2005/04/21 07:11:36  hawk
- release 2 (1 for Ra)

Revision 1.74  2005/04/09 12:38:07  dzeus
- up to 4.7.2

Revision 1.73  2005/03/16 20:28:56  qboosh
- reverted, perl (actually autoconf) dep in gettext-devel was excessive

Revision 1.72  2005/03/16 13:28:14  charles
- removed BR: perl-base (req. by gettext-devel)

Revision 1.71  2005/03/15 20:54:56  petec
- updated to 4.7.1

Revision 1.70  2005/02/07 17:41:37  petec
- updated to 4.7

Revision 1.69  2004/12/31 16:09:40  hawk
- release 2 (1 for RA)

Revision 1.68  2004/12/31 10:07:06  charles
- updated to 4.6.26 (-1 TODO)

Revision 1.67  2004/12/28 12:38:03  qboosh
- sort verify() flags

Revision 1.66  2004/12/28 12:05:32  domelu
- added whois.conf

Revision 1.65  2004/12/09 11:31:48  hawk
- release 2 (1 for RA), STBR

Revision 1.64  2004/12/05 13:39:53  qboosh
- updated to 4.6.25, removed obsolete pl.po-update patch

Revision 1.63  2004/11/28 14:11:23  qboosh
- updated to 2.6.24, added pl.po-update patch

Revision 1.62  2004/10/23 14:47:21  qboosh
- updagted to 4.6.23

Revision 1.61  2004/09/25 13:02:01  blues
- release 2 - obsoletes from inetutils - STBR

Revision 1.60  2004/09/13 21:54:50  hawk
- updated to 4.6.22

Revision 1.59  2004/08/26 19:13:56  qboosh
- too fast, fixed typo in last commit message

Revision 1.58  2004/08/26 19:13:25  qboosh
- updated to 4.6.21

Revision 1.57  2004/08/24 07:16:37  hawk
- updated to 4.6.20

Revision 1.56  2004/07/29 17:50:54  hawk
- updated to 4.6.19

Revision 1.55  2004/07/23 12:33:03  grzegol
- updated to 4.6.18

Revision 1.54  2004/07/08 20:09:25  qboosh
- updated to 4.6.17

Revision 1.53  2004/06/20 14:05:49  grzegol
- updated to 4.6.16

Revision 1.52  2004/06/07 18:32:56  blues
- release 2

Revision 1.51  2004/05/19 13:58:31  kolodko
- updated to 4.6.15

Revision 1.50  2004/04/17 22:29:27  orzech
- up to 4.6.14
- removed obsolete po.pl patch

Revision 1.49  2004/04/10 21:59:33  adamg
- updated to 4.6.12

Revision 1.48  2004/03/11 21:52:04  qboosh
- merged update to 4.6.11 from DEVEL
- readded pl.po-update patch, rename no->nb
- enabled idn support, seems to work

Revision 1.47.2.1  2004/03/11 18:22:21  eothane
- up to 4.6.11
- NFY..

Revision 1.47  2003/12/02 21:08:48  qboosh
- added pl.po-update patch (one new message, my email update)

Revision 1.46  2003/12/02 16:07:52  domelu
- up to 4.6.9

Revision 1.45  2003/11/08 23:21:16  grzegol
- updated to 4.6.8

Revision 1.44  2003/09/14 08:50:00  eothane
- new version [4.6.7]
- overflow patch removed

Revision 1.43  2003/09/04 14:17:43  qboosh
- typo

Revision 1.42  2003/09/04 14:16:39  blues
- release 2 - added overflow patch (ZH2003-25SA)

Revision 1.41  2003/06/22 23:23:02  eothane
- new version (4.6.6)
- whois-pl.po-update.patch not needed
- release 1

Revision 1.40  2003/05/28 13:02:50  malekith
- massive attack: source-md5

Revision 1.39  2003/05/25 06:27:53  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.38  2003/05/10 11:17:43  qboosh
- updated pl.po-update patch (one fuzzy entry - sent to author)

Revision 1.37  2003/05/09 08:28:38  krolik
- updated to 4.6.5
- skipped useless whois-pl.po-update.patch

Revision 1.36  2003/05/04 14:27:06  radek
- do not BR: perl

Revision 1.35  2003/04/18 20:30:44  qboosh
- fixed pl.po-update patch (sent to author)

Revision 1.34  2003/04/15 23:54:44  djrzulf
- updated to 4.6.3

Revision 1.33  2003/01/29 13:03:06  ppv
- new *.org whois server

Revision 1.32  2003/01/12 01:58:27  qboosh
- 4.6.1, added pl.po-update patch

Revision 1.31  2002/10/16 10:53:03  areq
- 4.5.31, STBR

Revision 1.30  2002/08/09 18:10:56  kloczek
- merge translations from KSI.

Revision 1.29  2002/08/09 16:06:29  blues
- 4.5.29; STBR

Revision 1.28  2002/06/17 14:31:53  blues
- 4.5.28 (few bugfixes)
- new doc
- URL added
STBR

Revision 1.27  2002/05/09 17:56:21  qboosh
- use proper CC

Revision 1.26  2002/05/08 17:16:42  pioklo
-up to 4.5.26,STBR

Revision 1.25  2002/04/11 22:06:10  misiek
- updated + ipv6 enabled

Revision 1.24  2002/02/23 05:04:59  kloczek
- adapterized.

Revision 1.23  2002/02/22 23:29:58  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/01/18 19:04:20  undefine
- updated to 4.5.19(updated server list)
- fix summary based on included spec.
- stbr

Revision 1.21  2002/01/18 02:15:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.20  2001/12/20 11:30:40  qboosh
- updated Groups; release 2

Revision 1.19  2001/12/06 20:12:53  zagrodzki
- updated to 4.5.15

Revision 1.18  2001/11/01 10:44:51  pawel
updated to 4.5.12.

Revision 1.17  2001/10/01 16:48:28  kloczek
- updated to 4.5.11.

Revision 1.16  2001/09/25 17:37:39  kloczek
- updated to 4.5.10.

Revision 1.15  2001/09/01 21:55:43  areq
- 4.5.8, STBR

Revision 1.14  2001/04/09 11:30:07  misiek
4.5.6; stb

Revision 1.13  2001/03/29 08:04:47  mis
- autoupdated to 4.5.4

Revision 1.12  2001/01/25 20:03:52  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.11  2001/01/25 16:35:07  undefine
- updated to 4.5.2
- polish description and summary
- small fixes...

Revision 1.10  2000/07/17 01:25:21  kloczek
- relase 2.

Revision 1.9  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/05/21 16:44:10  kloczek
- spec adapterized.

Revision 1.7  2000/05/02 21:23:32  baggins
- fixed version, minor cleanup

Revision 1.6  2000/04/01 11:15:57  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.4  2000/01/18 14:07:44  wiget
4.4.6

Revision 1.3  1999/12/30 20:42:24  kloczek
- updated to 4.4.5.

Revision 1.2  1999/12/15 19:32:03  kloczek
- viariouse fixes in Makefiles (also allow DESTDIR install),
- switch to DESTDIR style install,
- added using %%find_lang macro (include in %files .mo files).

Revision 1.1  1999/12/15 13:14:14  wiget
- initial version
